// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

/** Ionic CSS Variables **/
:root {
  /** primary **/
  --ion-color-primary: #2B3BA5;
  --ion-color-primary-rgb: 72,138,255;
  --ion-color-primary-contrast: #fff;
  --ion-color-primary-contrast-rgb: 255,255,255;
  --ion-color-primary-shade: #1b2d9b;
  --ion-color-primary-tint: #3646aa;

  /** secondary **/
  --ion-color-secondary: #32db64;
  --ion-color-secondary-rgb: 50,219,100;
  --ion-color-secondary-contrast: #fff;
  --ion-color-secondary-contrast-rgb: 255,255,255;
  --ion-color-secondary-shade: #2cc158;
  --ion-color-secondary-tint: #47df74;

  /** tertiary **/
  --ion-color-tertiary: #f4a942;
  --ion-color-tertiary-rgb: 244,169,66;
  --ion-color-tertiary-contrast: #fff;
  --ion-color-tertiary-contrast-rgb: 255,255,255;
  --ion-color-tertiary-shade: #d7953a;
  --ion-color-tertiary-tint: #f5b255;

  /** success **/
  --ion-color-success: #10dc60;
  --ion-color-success-rgb: 16,220,96;
  --ion-color-success-contrast: #fff;
  --ion-color-success-contrast-rgb: 255,255,255;
  --ion-color-success-shade: #0ec254;
  --ion-color-success-tint: #28e070;

  /** warning **/
  --ion-color-warning: #ffce00;
  --ion-color-warning-rgb: 255,206,0;
  --ion-color-warning-contrast: #000;
  --ion-color-warning-contrast-rgb: 0,0,0;
  --ion-color-warning-shade: #e0b500;
  --ion-color-warning-tint: #ffd31a;

  /** danger **/
  --ion-color-danger: #f53d3d;
  --ion-color-danger-rgb: 245,61,61;
  --ion-color-danger-contrast: #fff;
  --ion-color-danger-contrast-rgb: 255,255,255;
  --ion-color-danger-shade: #d83636;
  --ion-color-danger-tint: #f65050;

  /** light **/
  --ion-color-light: #f4f4f4;
  --ion-color-light-rgb: 244,244,244;
  --ion-color-light-contrast: #000;
  --ion-color-light-contrast-rgb: 0,0,0;
  --ion-color-light-shade: #8290e0;
  --ion-color-light-tint: #f5f5f5;

  /** medium **/
  --ion-color-medium: #989aa2;
  --ion-color-medium-rgb: 152,154,162;
  --ion-color-medium-contrast: #000;
  --ion-color-medium-contrast-rgb: 0,0,0;
  --ion-color-medium-shade: #86888f;
  --ion-color-medium-tint: #a2a4ab;
  
  /** dark **/
  --ion-color-dark: #110A3B;
  --ion-color-dark-rgb: 34,34,34;
  --ion-color-dark-contrast: #fff;
  --ion-color-dark-contrast-rgb: 255,255,255;
  --ion-color-dark-shade: #190e60;
  --ion-color-dark-tint: #2e256d;

  /** call **/
  --ion-color-call: #3366ff;
  --ion-color-call-rgb: 51, 102, 255;
  --ion-color-call-contrast: #fff;
  --ion-color-call-contrast-rgb: 255,255,255;
  --ion-color-call-shade: #7668ce;
  --ion-color-call-tint: #2e256d;

  --theme-color: #80ff80;
  --theme-black:#000000;
  --ion-color-gray:#d7d8da;
}

:root[mode=md] {
  --ion-font-family: "Heebo-Regular" !important;
  font-family: "Heebo-Regular", "Times New Roman", serif !important;
}
 
ion-button{
  --border-radius: 50px;
  --box-shadow: none;
}
 

//Fonts From Outside
@font-face {
  font-family: 'Heebo-Black';
  src: url('../assets/fonts/Heebo/Heebo-Black.ttf');//mine
}
 
@font-face {
  font-family: 'Heebo-Bold';
  src: url('../assets/fonts/Heebo/Heebo-Bold.ttf');//mine
}
@font-face {
  font-family: 'Heebo-ExtraBold';
  src: url('../assets/fonts/Heebo/Heebo-ExtraBold.ttf');//mine
}
@font-face {
  font-family: 'Heebo-Light';
  src: url('../assets/fonts/Heebo/Heebo-Light.ttf');//mine
}
@font-face {
  font-family: 'Heebo-Medium';
  src: url('../assets/fonts/Heebo/Heebo-Medium.ttf');//mine
}
@font-face {
  font-family: 'Heebo-Regular';
  src: url('../assets/fonts/Heebo/Heebo-Regular.ttf');//mine
}
@font-face {
  font-family: 'Heebo-Thin';
  src: url('../assets/fonts/Heebo/Heebo-Thin.ttf');//mine
}
@font-face{
  font-family: 'Roboto';
  src: url( 'https://fonts.googleapis.com/css?family=Roboto:400,700|Material+Icons');
}
 
@media (min-height:319px ) {
  .center {
    position: absolute;
    left: 50%;
    top:45%;
    -webkit-transform: translate(-49%, -49%);
    transform: translate(-49%, -49%);
    width: 90%;
  }
}
@media (min-height:735px ) {
  .center {
    position: absolute;
    left: 50%;
    top:45%;
    -webkit-transform: translate(-49%, -49%);
    transform: translate(-49%, -49%);
    width: 90%;
  }
}
@media (min-height:812px ) {
  .center {
    position: absolute;
    left: 50%;
    top:40%;
    -webkit-transform: translate(-49%, -49%);
    transform: translate(-49%, -49%);
    width: 90%;
  }
}

.select-modal .modal-wrapper{
  margin-top: 100% !important;
  bottom: 0;
  height: 350px; 
  border-radius: 24px;
}